Bug #5472

Fix upgrade process where Symfony breaks with plugins removed in 2.x

Added by Jesús García Crespo almost 9 years ago. Updated almost 9 years ago.

Status:VerifiedStart date:08/15/2013
Priority:HighDue date:
Assignee:Jesús García Crespo% Done:

0%

Category:InstallationEstimated time:3.00 hours
Target version:Release 2.0.0
Google Code Legacy ID: Tested version:
Sponsored:No Requires documentation:

Description

In the following scenario:
1. User is using 1.x, theme: qtTrilliumPlugin
2. User downloads 2.x, configures the database and runs tools:sql-upgrade
3. Symfony breaks because the qtTrilliumPlugin couldn't be loaded (as that theme was removed in 2.x).

Solutions:
  1. Try to catch the exception and handle the error without breaking the upgrade process
  2. Avoid loading db settings (and its plugins) during the task execution

History

#1 Updated by Jesús García Crespo almost 9 years ago

  • Status changed from New to Verified

Also available in: Atom PDF